%define python_sitepkgsdir %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages/')"`)
%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile python -c "import compileall; compileall.compile_dir('.')"


Buildroot: /tmp/ecasound-build
Prefix: /usr/local
Packager: Kai Vehmanen <kaiv@wakkanet.fi>
Distribution: Red Hat Contrib
Name: ecasound
Version: 2.0.3
Release: 1
Copyright: GPL
Source: http://ecasound.seul.org/download/ecasound-2.0.3.tar.gz

Summary: ecasound - multitrack audio processing tool
Group: Applications/Sound

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback, 
recording and format conversions, as well as for multitrack effect 
processing, mixing, recording and signal recycling. Ecasound supports 
a wide range of audio inputs, outputs and effect algorithms. 
Effects and audio objects can be combined in various ways, and their
parameters can be controlled by operator objects like oscillators 
and MIDI-CCs. As most functionality is located in shared libraries,
creating alternative user-interfaces is easy. A versatile console mode
interface is included in the package.

%package devel
Summary: Ecasound - Library header files
Group: Applications/Sound
Requires: ecasound

%description devel
Headers files needed for compiling other programs against
ecasound libraries. This is package is not required for installing 
other ecasound RPMs.

%package plugins
Summary: Additional ecasound plugins (ALSA, Audiofile, aRts).
Group: Applications/Sound
AutoReqProv: no
Requires: ecasound

%description plugins
Additional ecasound plugins (ALSA, Audiofile, aRts).

%package -n pyecasound
Summary: Python bindings to ecasound control interface.
Group: Applications/Sound
Requires: ecasound

%description -n pyecasound
Python bindings to ecasound control interface.

%prep
%setup -n ecasound-2.0.3
%build
./configure --prefix=%{prefix} --disable-static --with-python-modules=%{prefix}/lib/python2.0 $extra_params
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
make DESTDIR="$RPM_BUILD_ROOT" delete-static-libs
make DESTDIR="$RPM_BUILD_ROOT" strip-shared-libs
( cd pyecasound
  %python_compile_opt
  %python_compile
  install *.pyc *.pyo $RPM_BUILD_ROOT%{python_sitepkgsdir}
)

%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc NEWS README INSTALL BUGS Documentation contrib examples
%doc /usr/local/man/man1/ecasound.1
%doc /usr/local/man/man1/ecatools.1
%doc /usr/local/man/man1/ecasound-iam.1
%doc /usr/local/man/man5/ecasoundrc.5
/usr/local/bin/ecasound
/usr/local/bin/ecaconvert
/usr/local/bin/ecafixdc
/usr/local/bin/ecanormalize
/usr/local/bin/ecaplay
/usr/local/bin/ecasignalview
/usr/local/bin/ecasound-config
/usr/local/bin/ecasoundc-config
/usr/local/lib/libecasound.*
/usr/local/lib/libecasoundc.*
/usr/local/lib/libkvutils.*
%config /usr/local/share/ecasound

%files devel
%defattr(-, root, root)
/usr/local/include/ecasound
/usr/local/include/kvutils

%files plugins
%defattr(-, root, root)
/usr/local/lib/ecasound-plugins

%files -n pyecasound
%defattr(644,root,root,755)
%attr(755,root,root) %{python_sitepkgsdir}/*.so
%{python_sitepkgsdir}/*.pyo
%{python_sitepkgsdir}/*.pyc

%changelog
* Wed Jan 17 2001 Kai Vehmanen <kaiv@wakkanet.fi>
- python subpackage config (thanks to wrobell / PLD Linux!)

* Sat Dec 06 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- contrib and examples directories added to docs
- ecasoundc-config added
- libecasoundc added (C implementation of ECI)
- a new package: pyecasound

* Sat Nov 25 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- ecasignalview added to the package.

* Thu Aug 31 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added /etc/ld.so.conf modification script.
- Added DESTDIR to %install.

* Wed Aug 30 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- 'ecasound-config' script added.

* Sun Aug 20 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- All Qt-related stuff removed.

* Wed Jul 06 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added the -plugins package.

* Wed Jun 07 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- ecaconvert added to the package.

* Mon Jun 05 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Renamed ecatools programs.

* Mon Apr 15 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Removed dynamic linking to ALSA libraries. You 
  can get ALSA support by recompiling the source-RPM
  package.

* Mon Feb 10 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added libqtecasound to ecasound-qt.

* Mon Nov 09 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- A complete reorganization. Ecasound distribution is now 
  divided to three RPMs: ecasound, ecasound-qt and ecasound-devel.

* Mon Nov 08 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- As Redhat stopped the RHCN project, so these rpms 
  are again distributed via Redhat's contrib service
- You can also get these from http://ecasound.seul.org/download

* Sun Aug 15 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- Initial rhcn release.
